Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.16.2 Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23525

Description

In trying to update the Fedora qgis package to 2.16.2 it fails to build with:

make[2]: Entering directory '/builddir/build/BUILD/qgis-2.16.2'

[ 97%] Generating ui_dialogAbout.py

cd /builddir/build/BUILD/qgis-2.16.2/python/plugins/GdalTools/tools && ../../../../scripts/pyuic-wrapper.sh /usr/bin/pyuic4

/builddir/build/BUILD/qgis-2.16.2/output/lib /builddir/build/BUILD/qgis-2.16.2/output/python /usr/bin/python2.7

/builddir/build/BUILD/qgis-2.16.2/python/plugins/GdalTools/tools/dialogAbout.ui -o

/builddir/build/BUILD/qgis-2.16.2/python/plugins/GdalTools/tools/ui_dialogAbout.py

Traceback (most recent call last):

  File "../../../../scripts/pyuic-wrapper.py", line 26, in <module>

    import qgis.PyQt.uic.pyuic

  File "/builddir/build/BUILD/qgis-2.16.2/output/python/qgis/__init__.py", line 27, in <module>

    from qgis.core import QgsFeature, QgsGeometry

  File "/builddir/build/BUILD/qgis-2.16.2/output/python/qgis/core/__init__.py", line 30, in <module>

    from qgis._core import *

ImportError: libqgis_core.so.2.16.2: cannot open shared object file: No such file or directory

python/plugins/GdalTools/tools/CMakeFiles/zzz-GdalTools-2-depend.dir/build.make:120: recipe for target

'python/plugins/GdalTools/tools/ui_dialogAbout.py' failed

make[2]: Leaving directory '/builddir/build/BUILD/qgis-2.16.2'

The attached patch fixes.

History

#1 - 2016-09-21 03:50 PM - Orion Poplawski

Hmm, a better fix might be to use QGIS_LIB_SUBDIR or QGIS_LIB_DIR (which seem to be the same - a bit confusing)

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

qgis-lib64.patch 634 Bytes 2016-09-21 Orion Poplawski

2024-04-25 2/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

